#******************************************************
# Find the Centre of selected objects
# 
# - switchmapping.py
# - Switch the mapping mode of images in selected
# - object's materials to bicubic mapping
# - By Mark Caldwell
# - Version 0.1
# - Version 0.1 9th August 2009
# - Copyright Mark Caldwell 2009
# - Tested with Vue 7.5 Infinite
#
# How to use in 3 easy steps
#
# 1. Download this file onto your computer
#
# 2. Select Objects to have the mapping of images in
#     materials changed to bicubic
#
# 3. Then run script and wait for it to work
#    To run it go to Python -> Run Python Script
#    Then locate the file on your computer
#
#******************************************************

#----------------------------------------------
# Internal Variables Set Up: Don't alter these
#----------------------------------------------

countobj=CountSelectedObjects()
centre=[0,0,0]

#----------------------------------------------
# Find Selected Objects Calculate the Centre
#----------------------------------------------
if countobj>0:
    for i in range(0,countobj):
        obj=GetSelectedObjectByIndex(i)
        countmaterial=obj.CountMaterials ()
        for j in range (0,countmaterial):
            material=obj.Material (j)
            functiongraph=material.FunctionGraph ()
            countnodes=functiongraph.CountNodes()
            for k in range (0,countnodes):
                nodename=functiongraph.NodeName (k)
                if nodename=='Projected Texture Map':
                    countnodeparams=functiongraph.CountNodeParameters (k)
                    for l in range (0,countnodeparams):
                        if functiongraph.GetNodeParameterName (k,l)=='Interpolation type':
                            functiongraph.SetNodeParameter (k,l,3) 
                        
#----------------------------------------------
# Refresh Vue's Display
#----------------------------------------------

    Refresh()

#----------------------------------------------
# End of Script
#----------------------------------------------    
   

    

